com.amazonaws.services.codebuild.model

## Class EnvironmentVariable

- java.lang.Object
- - com.amazonaws.services.codebuild.model.EnvironmentVariable

All Implemented Interfaces:
  Serializable, Cloneable

    public class EnvironmentVariable
    extends Object
    implements Serializable, Cloneable

Information about an environment variable for a build project or a build.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`EnvironmentVariable()`

### Method Summary

All Methods Instance Methods Concrete Methods
`EnvironmentVariable` `clone()`
`boolean` `equals(Object obj)`
`String` `getName()` The environment variable's name or key.
`String` `getValue()` The environment variable's value.
`int` `hashCode()`
`void` `setName(String name)` The environment variable's name or key.
`void` `setValue(String value)` The environment variable's value.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`EnvironmentVariable` `withName(String name)` The environment variable's name or key.
`EnvironmentVariable` `withValue(String value)` The environment variable's value.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### EnvironmentVariable

    public EnvironmentVariable()

### Method Detail

#### setName

    public void setName(String name)

The environment variable's name or key.

Parameters:
  `name` - The environment variable's name or key.

#### getName

    public String getName()

The environment variable's name or key.

Returns:
  The environment variable's name or key.

#### withName

    public EnvironmentVariable withName(String name)

The environment variable's name or key.

Parameters:
  `name` - The environment variable's name or key.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setValue

    public void setValue(String value)

The environment variable's value.

Parameters:
  `value` - The environment variable's value.

#### getValue

    public String getValue()

The environment variable's value.

Returns:
  The environment variable's value.

#### withValue

    public EnvironmentVariable withValue(String value)

The environment variable's value.

Parameters:
  `value` - The environment variable's value.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public EnvironmentVariable clone()

Overrides:
  `clone` in class `Object`